Simple keyboard customization
Id like to accomplish a simple keyboard customization. Let's make this really easy: I am used to "C" meaning "Copy" and "CI" meaning circle, but "C" means "Circle" on Bricscad, whereas "CO" means copy. "CO" is one additional keystroke. I copy things 2000 times a day, and maybe I draw 1 circle, so it would save 2000 keystrokes a day (plus the 500 "ESC" keystrokes after I mistakenly type C when I want to copy... Grrr... ) to make this change. I know how this keyboard customization works in ACAD, but I haven't run across it in BricsCad help or menus. Searching those terms in Help turns up nothing, so they must use another name for it.
Sounds like a little thing, however one of the keys to CADding faster is subtle timesavers like this.
0
Comments
-
Try this:(defun c:c()(command "copy"))(defun c:ci()(command "circle"))If it works, put it in a lsp file that you can load when needed ("appload") or set up to autoload when you open the program.I keep my lisp files outside of the Bricssys directories so they aren't replaced or deleted during a version upgrade.BTW, you can make much longer function definitions. For example, here's a line that sets up a few of my favorite settings. I use it whenever I get a drawing from someone else. I just type "jph" (my initials) and things are the way I like it.(defun c:jph()(command "osnap" "end,mid,int")(command "ortho" "off")(command "units" "4" "256" "1" "4" "0" "n")(command "splinesegs" "32"))Hope this is helpful.0
-
You can change default
Command Alias Definitions
in file (please make first a backup):
~/Bricsys/BricsCAD/V13/en_US/Support/default.pgp
Find line
C, *CIRCLE
and change it to
CI, *CIRCLE
Find line
CO, *COPY
and change it to
C, *COPY
After that make a backup of modified file (after an upgrade it can by replaced by a default version).0 -
Fantastic! default.pgp was just what I was looking for!0
This discussion has been closed.